package project.model;


import java.util.Vector;
import java.awt.*;

public class Constants extends Object
{
   // **************************Provided Constants*************************

   // Dimensions of the layout design area
   public static final int DEFAULT_WIDTH = 20;
   public static final int DEFAULT_HEIGHT = 20;

   public static final int NUM_BUILDING = 0; // array index of these various structures in the squarelist
   public static final int NUM_CONCRETE = 1;
   public static final int NUM_SOIL = 3;
   public static final int NUM_WATER = 2;

   public static final int NUM_LAYERS = 2; // current number of layers
   public static final int NUM_UNDO_LEVELS = 5; // current number of undo levels

   // Codes found in the saved design text file
   public static final String SOIL = "S"; // just default stuff
   public static final String BUILDING = "B";
   public static final String WATER = "W";
   public static final String PATHWAY = "P";
   public static final int NUM_BL_TYPES = 4;

   public static final String MULCH = "M"; // more default stuff
   public static final String TOPSOIL = "T";
   public static final String BOTH = "B";
   public static final String NEITHER = "N";

   public static final String UNEDITABLE = "XX";

   public static final int BASE_LAYER = 0; // array index of the base layer in the model
   public static final int PLANT_LAYER = 1; // array index of the plant layer in the model

   public static int EMPTY_SQUARE = 0; // the type of an empty square
   public static int UNEDITABLE_SQUARE = 1; // array index of uneditable square

   public static final String EMPTY_SQUARE_FULLNAME = "Empty Square";  // basic stuff for empty squares
   public static final String EMPTY_SQUARE_DESCRIPTION = "This square is empty";
   public static final String EMPTY_SQUARE_LETTERS = "--";

   public static final Color GRID_BACKGROUND = new Color(200,200,200); // the default background color for an unselected grid

   public static final int MAX_LETTER_LENGTH = 2; // the maximum length of a string of chars representing a square
   // Information about flowers blooming
   public static final int NUM_GROWING_MONTHS = 7;

   public static final int ACTION_PLANT_POLYGON = 15; // all these things starting with ACTION are just actions you can perform
   public static final int ACTION_PLANT_NORMAL = 22;
   public static final int ACTION_REMOVE = 16;
   public static final int ACTION_QUERY = 17;
   public static final int ACTION_MULCH = 18;
   public static final int ACTION_REM_MULCH = 19;
   public static final int ACTION_TOPSOIL = 20;
   public static final int ACTION_REM_TOPSOIL = 21;

   public static final int MULCH_MOD = 20; // the amount of rainfall mulch absorbs
   public static final int LOW_WATER_REQ = 30; // low water requirement
   public static final int MED_WATER_REQ = 70; // medium water requirement
   public static final int HI_WATER_REQ = 110; // high water requirement
   public static final int VHI_WATER_REQ = 150; // very high water requirement
   public static final int RAINFALL = 70; // yearly rainfall

   public static final double COST_PER_WATER_CM = 0.0085; // cost per centimetre of watering plants

   public static final int GREYSCALE = 18; // the multiplier to the hours of sun that gives us a nice grayscale colour from 0 to 255
   public static final int HOURS_OF_SUN = 14; // number of hours of sun there are
   public static final int TOTAL_SUN_HOURS_INDEX = 14; // the array index of the total hours of sun array

} // Constants
