package project.model;
import java.awt.Color;

public class InorganicContents extends SquareContents
{
    /** This returns the type of the square, which is really an array index for the squareList
     @return the array index from the squareList object that this object matches
     */
    public int getType()
    {   return this.myType;
    }
    /** this is a pretty simply constructor, it just calls the basic square constructor
    */
    public InorganicContents()
    {   super();
    }
    /** This constructs the inorganic contents based on a squaretype.  The squaretypes are shown in the Constants class, with NUM as a prefix
    @param squareType the square type desired of this square
    */
    public InorganicContents(String squareType)
    {   super();
        if(squareType.equalsIgnoreCase(Constants.BUILDING))
        { this.description = "A Building";
          this.displayText = "B";
          this.fullName = "Building";
          this.myColor = new Color(125,125,125);
          this.myType = 0;
          this.shadowSize = 0;
        } else if(squareType.equalsIgnoreCase(Constants.PATHWAY))
        { this.description = "A Pathway";
          this.displayText = "P";
          this.fullName = "Pathway";
          this.myColor = new Color(25,25,25);
          this.myType = 1;
        } else if(squareType.equalsIgnoreCase(Constants.WATER))
        { this.description = "Water";
          this.displayText = "W";
          this.fullName = "Water";
          this.myColor = new Color(25,25,225);
          this.myType = 2;
        } else if(squareType.equalsIgnoreCase(Constants.SOIL))
        { this.description = "SOIL";
          this.displayText = "S";
          this.fullName = "Soil";
          this.myColor = new Color(225,175,175);
          this.myType = 3;
        }
    }
}