package project.model;

import project.view.*;

import javax.swing.*;
import becker.util.Utilities;
import becker.util.Test;
import becker.io.TextInput;

/** Start the Landscape Design Planner program.
 @author Sandy Graham
 @version 1.0 25-Sep-2003
*/
public class SimpleMain extends Object
{
   public static void main(String[] args)
   {  int width = Constants.DEFAULT_WIDTH;
      int height = Constants.DEFAULT_HEIGHT;

      // Construct the application and the view
      LandscapePlanner model = new LandscapePlanner(width, height);
      JPanel view = new TopLevelView(model);

      // Create the main window
      JFrame f = new JFrame("CS133 Final Project - F03");
      f.setContentPane(view);
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      f.setSize(GridSection.SQUARE_W * (width + 1) + FeedbackView.AREA_WIDTH,
            GridSection.SQUARE_H * (height));
      f.setVisible(true);

   } // main
   public static void loadFile(String fileName)
   {  int width = Constants.DEFAULT_WIDTH;
      int height = Constants.DEFAULT_HEIGHT;

      // Construct the application and the view
      LandscapePlanner model = new LandscapePlanner(new TextInput(fileName));
      JPanel view = new TopLevelView(model);

      // Create the main window
      JFrame f = new JFrame("CS133 Final Project - F03");
      f.setContentPane(view);
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      f.setSize(GridSection.SQUARE_W * (width + 1) + FeedbackView.AREA_WIDTH,
            GridSection.SQUARE_H * (height));
      f.setVisible(true);
   }
} // SimpleMain
