package project.model;
import java.awt.*;
import becker.io.*;


public class SquareContents extends Object
{   Color myColor; // the color of this plant
    String displayText; // the display text of this plant
    String description; // the description of this plant
    String fullName; // the full name of this plant
    int myType; // what type is this plant
    protected int shadowSize = -1; // the shadow size.  -1 means no shadow.  OrganicContents overrides this with a real value, as does building in InorganicContents

    /** this function returns the size of the shadow cast by this plant
     @return the size of this thing's shadow
     */
    public int getShadowSize()
    {   return shadowSize;
    }
    /** this function returns if this plant is a tree
     @return if this is a tree
     */
    public boolean getIsTree()
    {  return false;
    }
    /** this function returns the cost of this plant
     @return the cost of this plant
     */
    public int getCost()
    {  return 0;
    }
    /** this function returns if this square is deciduous
     @return if this square is deciduous
     */
    public boolean getIsDecid()
    {  return false;
    }
    /** this returns if this square has a lighting problem based on the hours of sunlight.
     @param hoursOfSun - the hours of sun that this plant is receiving
     @return false all the time, this is overridden by the inorganic and organic contents classes
     */
    public boolean lightProblem(int hoursOfSun)
    {  return false;
    }
    /** this initializes squarecontents to be an empty square
    */
    public SquareContents() // this constructor initializes the square to be empty
    {  super();
       this.myType = Constants.EMPTY_SQUARE;
       this.myColor = Constants.GRID_BACKGROUND;
       this.displayText = Constants.EMPTY_SQUARE_LETTERS;
       this.fullName = Constants.EMPTY_SQUARE_FULLNAME;
       this.description = Constants.EMPTY_SQUARE_DESCRIPTION;

    }
    /** this is a slightly different constructor that initializes this to be an uneditable square
     @param isPlant this modifies the signature slightly so it knows to be an uneditable square
     */
    public SquareContents(boolean isPlant)
    {  this.myType = Constants.UNEDITABLE_SQUARE;
       this.displayText = Constants.UNEDITABLE;
    }
    /** this returns the name of this square
     @return a string containing the name of this square contents
     */
    public String getName()
    {   return this.fullName;
    }
    /** this returns the color of this square contents
     @return the color of this plant
     */
    public Color getColor()
    {  return this.myColor;
    }
    /** this returns the display text (plant code) of this squarecontents
     @return the display code of this plant
     */
    public String getText()
    {   return this.displayText;
    }
    /** this retrieves the description of this squareContents
     @return the description of this squarecontents
    */
    public String getDesc()
    {   return this.description;
    }
    /** this returns the type of this squarecontents
     @return the type of this squarecontents
     */
    public int getType()
    {   return this.myType;
    }
}