package project.view;


import project.model.*;

import becker.util.IView;
import javax.swing.*;
import java.awt.*;


/** A top level view of the planner.
 @author Art Hare, Waseem Quraishi and Kelly Leung */
public class TopLevelView extends JPanel implements IView
{

   /** GUI widgets needed. */
   private GridView grid; //reference to the GridView
   private FeedbackView userInfo; //reference to the FeedbackView
   private CommandView cmd; //reference to the command view

   /** The Landscape Design Planner application logic. */
   private LandscapePlanner model;  //reference to the model

   /** Construct the top level view of the planner.
    @param app the planner application logic
    */
   public TopLevelView(LandscapePlanner app)
   {  this.model = app;

      this.layoutView();
      this.registerListeners();

      this.model.addView(this);
   } // TopLevelView

   /** Construct and layout the components of the view. */
   private void layoutView()
   {  //GridLayout gridL = new GridLayout(1,2);


      this.userInfo = new FeedbackView(model);
      this.setLayout(new BoxLayout(this,BoxLayout.X_AXIS));
      this.grid = new GridView(model,Constants.BASE_LAYER);
      this.grid.setSize(700,700);
      this.grid.setMaximumSize(new Dimension(700,700));
      
      this.setMaximumSize(new Dimension(700,700));
      this.grid.setLocation (0,0);
      this.setLocation(0,0);
      this.setPreferredSize (new Dimension(10,10));

      this.setBackground(new Color(255,0,0));
      this.cmd = new CommandView(model);


      //this.setLayout(bLayout);
      this.add(this.grid);

      JPanel east = new JPanel();
      east.setLayout(new GridLayout(2,1));
      east.setMaximumSize (new Dimension(224,768));
      east.setMinimumSize(new Dimension(224,768));
      this.cmd.setMaximumSize (new Dimension(224,400));
      this.userInfo.setMaximumSize(new Dimension(224,368));
      east.add(this.cmd);
      east.add(this.userInfo);
      east.setBackground(new Color(0,255,0));

      this.add(east);
   } // layoutView

   /** Create and attach listeners to appropriate components of the view. */
   private void registerListeners()
   { // Nothing yet
   } // registerListeners

   /** Refresh the view with up-to-date information from the application logic. */
   public void updateView()
   { // Nothing yet
   } // updateView

} // TopLevelView
